Subject: Re: bug#14545: date --iso-8601 should use colon in time zone offset

From: Eric Blake <[email-masked]>
Date: Tue, 04 Jun 2013 10:13:33 -0600

On 06/04/2013 09:55 AM, Jordon Kalilich wrote:
> Thus spake Paul Eggert on 06/04/2013 12:10 AM:
>> At any rate, the --iso-8601 option has been deprecated since 2005.
> 
> Why is it deprecated? I don't recall seeing it in the man page until recently,
> and I've noticed an increase in the use of ISO 8601 over the past few years.
> This option seems like it could be useful for a lot of people.

It was undeprecated in Oct 2011 with commit 2f1384b:

    date: reinstate the --iso-8601 (-I) option

    We deprecated and undocumented the --iso-8601 (-I) option mostly
    because date could not parse that particular format.  Now that
    it can, it's time to restore the documentation.
    * src/date.c (usage): Document it.
    * doc/coreutils.texi (Options for date): Reinstate documentation.
    Reported by Hubert Depesz Lubaczewski in http://bugs.gnu.org/7444.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org